
package de.ivu.elect.presentation.ergebnis.menu;

import java.util.Collection;

import javax.inject.Inject;

import de.ivu.elect.business.ergebnis.boundary.NlWasModelNa312BulkExporter;
import de.ivu.elect.business.stimmeingabe.entity.Ergebniseingabestatus;
import de.ivu.elect.business.wahl.entity.NlWahlart;
import de.ivu.elect.presentation.ergebnis.exchange.NlWasModelNa312BulkExportDescription;

public class NlWasModelNa312BulkExportMenuItemEntry extends AbstractNlWasErgebnisArtefaktNachGebietErgebniseingabestatusBulkExportMenuItemEntry {

  private static final long serialVersionUID = 1L;

  @Inject
  private transient NlWasModelNa312BulkExportDescription nlWasModelNa312BulkExportDescription;

  public NlWasModelNa312BulkExportMenuItemEntry() {
    super();
  }

  @Override
  public boolean isExporterVorhanden() {
    return /* ELECT-15692 */ NlWahlart.isWasGSB(getSelectedWahl(), getCustomer()) && super.isExporterVorhanden();
  }

  @Override
  protected Collection<Ergebniseingabestatus> getGebietErgebniseingabestatus() {
    return NlWasModelNa312BulkExporter.EXPORT_ERGEBNISEINGABESTATUS;
  }

  @Override
  protected NlWasModelNa312BulkExportDescription getExportDescription() {
    return nlWasModelNa312BulkExportDescription;
  }
}
